Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

 

Department: SUPPORT Affected Products: ADTF 2.12.0

Requester's Priority: Normal Platform: Ubuntu 14.04 64bit

Support Level: 3rd Level Topic: ADTF::Common

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage:

Folgendes Problem des Kunden:

"we would like to test automate ADTF together with our developed addons with Squish automation tool from froglogic GmbH.

Under Linux 64bit operating system, Squish is not able to hook into ADTF:

Test recording with Squish Qt for linux64 throws error:

Warning: AUT /opt/adtf/2.12.0/bin/adtf_devenv does not appear to be dynamically linked against Qt, hooking might fail.

ERROR: ld.so: object 'libsquishqtpre.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.

Squish support says that adtf_devenv does not support an application that is not linking dynamically against Qt.

Precondition:

OS: Ubuntu 14.04 (VirtualBox image)

ADTF: 2.12.0 (linux 64)

Qt: 4.7.1

Squish for Qt 6.3.0 IDE (linux 64)

Question:

Could you provide an ADTF build, that dynamically links against Qt?

is there another way to make Squish run with ADTF?"

Der Kunde fragt ausserdem, ob gegebenenfalls der direkte Kontakt zu Euch hergestellt werden könnte.

Da wollt' ich lieber mal erst bei euch nachfragen, um nicht unangemessen vorzugreifen.

Best regards - Beste Grüße,

Florian Obermeier

EB Assist ADTF Support-Team

Lösung:

Wir verwenden Squish Version 4.1.0 zum GUI testen für ADTF 2.X, passend zu der Qt Version 4.7.

Im Grunde sollte die Verwendung von Squish 6.3 für Qt 4.7 (Binary for Windows 64 Bit, Qt 4.7.x, VS 2010) funktionieren. Dabei ist

aber zu beachten das evtl. Testcases angepasst werden müssen das sich die Squish Library geändert hat. Leider können wir dafür

aber keinen Support leisten.

Ergänzend sei noch einmal erwähnt:

1. Es wird keine neuen Anforderungen an ADTF 2.x geben, neue Feature = ADTF 3.x

2. In der aktuellen ADTF 3.1 kommt Qt 5.7 zum Einsatz

3. In der nächsten Version erfolgt der Umstieg auf Qt 5.9

4. Die Verwendung von Squish ist einzig von der Qt Version abhängig, wir liefern kein Squish

5. Abhängigkeiten sind bei den Qt bzw. Squish Entwicklern zu fragen, für ADTF gilt nur die Abhängigkeit zu Qt

History
#1 - 2017-09-08 08:53 - hidden

- Project changed from Public Support to 7

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Common

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 2.12.0 added

- Platform Ubuntu 14.04 64bit added

Hallo Florian,

wir verwenden Squish Version 4.1.0 zum GUI testen für ADTF 2.X, passend zu der Qt Version 4.7.

Eventuell ist das Problem damit schon behoben.

Welche Python Version wird verwendet? Wir verwenden 2.7.6.

#2 - 2017-09-14 08:45 - hidden

Der Kunde lässt fragen, ob es auch eine Möglichkeit gibt, neuere Squish versionen zu unterstützen bzw. ob ihm auch ein entsprechend gebautes

ADTF zur Verfügung gestellt werden könnte.

Best regards - Beste Grüße,

Florian Obermeier

EB Assist ADTF Support-Team 

#3 - 2017-09-14 11:09 - hidden

- Resolution set to Not Supported Scope

Hallo Florian,

für ADTF2 wird es keine Änderungen zu der verwendeten Squish Version mehr geben.

Hinweis:

Im Grunde sollte die Verwendung von Squish 6.3 für Qt 4.7 (Binary for Windows 64 Bit, Qt 4.7.x, VS 2010) funktionieren. Dabei ist aber zu beachten

das evtl. Testcases angepasst werden müssen das sich die Squish Library geändert hat. Leider können wir dafür aber keinen Support leisten.

Damit sollte dieses Support Ticket abgeschlossen, bitte um Feedback bis spätestens morgen den 14.09.2017, damit wir es schließen können.

#4 - 2017-09-14 11:34 - hidden

Ergänzend sei noch einmal erwähnt:

1) Es wird keine neuen Anforderungen an ADTF 2.x geben, neue Feature = ADTF 3.x

2) In der aktuellen ADTF 3.1 kommt Qt 5.7 zum Einsatz

3) In der nächsten Version erfolgt der Umstieg auf Qt 5.9

4) Die Verwendung von Squish ist einzig von der Qt Version abhängig, wir liefern kein Squish

5) Abhängigkeiten sind bei den Qt bzw. Squish Entwicklern zu fragen, für ADTF gilt nur die Abhängigkeit zu Qt

#5 - 2017-09-18 09:42 - hidden

- Subject changed from ADTFS-47641 ADTF build with Squish support (linux) to ADTFS-47641 Supported Squish version for ADTF

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

@Florian, Ticket kann geschlossen werden. Ticket public -> für alle interessant, keine sensiblen Daten.

#6 - 2017-09-18 16:29 - hidden

- Status changed from To Be Closed to Closed

#7 - 2018-01-25 12:04 - hidden

- Project changed from 7 to Public Support
